package models

import (
	"errors"
	"os"
)

const (
	GinContextLog      = "log"
	GinContextChannel  = "channel"
	GinContextServerId = "serverid"
	GinContextUnis     = "unis"
)

const (
	GinAuthorKey       = "Authorization"
	GinAuthorPrefixKey = "Bearer "
)

var (
	ErrorInvalidData = errors.New("no such value")
	ErrorPasswordErr = errors.New("user or password invalid")
	ErrorSqlInitErr  = errors.New("database init err")
	ErrorTimeOut     = errors.New("time out")
)

const (
	FileLoginHtml = "./static/login.html"
)

var AdminPassword = os.Getenv("ADMIN_PASSWORD")

func init() {
	if AdminPassword == "" {
		AdminPassword = "admin@123"
	}
}
